当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : linux软件的依赖问题
帖子发表于 : 2008-08-19 12:34 

注册: 2007-08-29 0:30
帖子: 72
送出感谢: 0 次
接收感谢: 0 次
问一下,在linux下的软件有好多都是从源代码安装的,在安装之前这些软件里面有没有文档说明安装这个软件需要依赖哪些哪些软件或者库阿?


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-08-19 12:42 

注册: 2007-05-11 8:47
帖子: 133
送出感谢: 0 次
接收感谢: 0 次
使用
auto-apt run ./configure
make
checkinstall
安装软件


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-08-19 12:43 
头像

注册: 2008-07-30 23:21
帖子: 13227
地址: freebuilder@yeah.net
系统: Debian stable AMD64
送出感谢: 36
接收感谢: 121
readme
README
install
INSTALL
写了就有,没写就只有在配置和编译时等着报错


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-08-19 13:13 

注册: 2006-09-11 22:47
帖子: 2841
送出感谢: 0 次
接收感谢: 4
一般来说,如果你要编译 vim,使用 sudo apt-get build-dep vim 然后再编译。

反正用 apt-get build-dep 先解决了依赖再编译,你的生活会轻松许多。


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-08-20 10:12 

注册: 2007-08-29 0:30
帖子: 72
送出感谢: 0 次
接收感谢: 0 次
我最近一直在做LFS,比较喜欢从源代码编译


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-08-20 11:25 

注册: 2006-08-26 14:39
帖子: 271
地址: nj
送出感谢: 0 次
接收感谢: 0 次
这个你只要看下readme或者install,一般都有说明的。


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-08-20 17:01 
头像

注册: 2008-04-18 20:58
帖子: 136
送出感谢: 0 次
接收感谢: 0 次
poet 写道:
一般来说,如果你要编译 vim,使用 sudo apt-get build-dep vim 然后再编译。

反正用 apt-get build-dep 先解决了依赖再编译,你的生活会轻松许多。




apt-get build-dep * 这个就是解决依赖的办法 记住后面要加空格 注意格式


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译